# response-adapter.properties
# WARNING: defaults loaded from resource classpath:/defaults.properties

# override(s)
default.environment=debug
default.environment_dtp=test
default.environment_sqs=debug
#default.home_folder=/Users/roberto/Development/SIAE-SOPHIA/eclipse-neon-workspace/sophia-performing/deploy/${default.environment_dtp}
#default.home_folder=/home/marco/git-sophia/sophia-performing/deploy/${default.environment_dtp}
#default.home_folder=/var/local/sophia/${default.environment_dtp}/performing/codifica
#default.home_folder=/home/sualkemy/performing
#log4j.configuration=${default.home_folder}/sophia-performing-log4j2.xml
#aws.credentials=${default.home_folder}/AwsCredentials.properties
#http.proxy.host=10.255.1.241
#http.proxy.port=8080


# response adapter
response_adapter.locked=false
#response_adapter.debug=true
response_adapter.bind_port=16171
response_adapter.heartbeat=1000
response_adapter.working_directory=${default.home_folder}/tmp
response_adapter.delete_input_urls=true
response_adapter.delete_output_urls=true

# sqs message(s)
#response_adapter.sqs.max_messages_per_run=100
#response_adapter.sqs.max_polling_duration=4m30s
#response_adapter.sqs.polling_period=10s
response_adapter.sqs.sender_name=performing-response-adapter
response_adapter.sqs.service_bus_queue=${default.environment_sqs}_service_bus
#response_adapter.sqs.to_process_queue=${default.environment_sqs}_to_process_codifica_performing
response_adapter.sqs.started_queue=${default.environment_sqs}_started_codifica_performing
response_adapter.sqs.completed_queue=${default.environment_sqs}_completed_codifica_performing
response_adapter.sqs.failed_queue=${default.environment_sqs}_failed_codifica_performing

# completed notification(s)
response_adapter.completed.sqs.max_messages_per_run=100
response_adapter.completed.sqs.max_polling_duration=4m30s
response_adapter.completed.sqs.polling_period=10s
#response_adapter.completed.sqs.sender_name=performing-response-adapter
#response_adapter.completed.sqs.service_bus_queue=${default.environment_sqs}_service_bus
response_adapter.completed.sqs.to_process_queue=${default.environment_sqs}_completed_massiva_performing
#response_adapter.completed.sqs.started_queue=${__undefined__}
#response_adapter.completed.sqs.completed_queue=${__undefined__}
#response_adapter.completed.sqs.failed_queue=${__undefined__}

# failed notification(s)
response_adapter.failed.sqs.max_messages_per_run=100
response_adapter.failed.sqs.max_polling_duration=4m30s
response_adapter.failed.sqs.polling_period=10s
#response_adapter.failed.sqs.sender_name=performing-response-adapter
#response_adapter.failed.sqs.service_bus_queue=${default.environment_sqs}_service_bus
response_adapter.failed.sqs.to_process_queue=${default.environment_sqs}_failed_massiva_performing
#response_adapter.failed.sqs.started_queue=${__undefined__}
#response_adapter.failed.sqs.completed_queue=${__undefined__}
#response_adapter.failed.sqs.failed_queue=${__undefined__}

# output file(s)
#response_adapter.file.compression=guess
response_adapter.file.column.header=Codice combinazione,Titolo originale,Titolo alternativo,Nominativi,Codice opera,Importo combinazione,Numero risultati,Numero progressivo opera proposta,Codice o.p.,Grado di confidenza totale,Titolo originale o.p.,Titolo matchato o.p.,Grado di somiglianza,Compositori o.p.,Autori o.p.,Interpreti o.p.,Maturato o.p.,Rischio o.p.,Flag Pubblico Dominio,Flag Elaborata,Stato o.p.,Flag Doppio deposito
response_adapter.file.column.in_to_out_order=0,1,2,3,4,5
response_adapter.file.column.in.result_json=6
response_adapter.file.column.json_to_out_order=codiceOpera,gradoDiConf,titolo,titoloOriginale,confTitolo,compositore,autore,interprete,maturato,rischio,flagPD,flagEL,statoOpera,flagDoppioDeposito

response_adapter.sql.update_success_codifica_massiva=\
	UPDATE PERF_CODIFICA_MASSIVA \
	   SET STATE = 'Terminata', \
	       END_WORK_TIME = current_timestamp() \
	WHERE  TOKEN = {token}

response_adapter.sql.select_codifica_massiva=\
	SELECT FILE_OUTPUT, FILE_NAME \
    FROM PERF_CODIFICA_MASSIVA \
	WHERE  TOKEN = {token} \
    AND STATE != 'Terminata'


response_adapter.sql.update_failed_codifica_massiva=\
	UPDATE PERF_CODIFICA_MASSIVA \
	   SET STATE = 'Fallita', \
	       END_WORK_TIME = current_timestamp() \
	WHERE  TOKEN = {token}
